Subject: Re: bug#22478: 25.1.50; tramp error: Wrong method specification for‘scp’

From: Sam Steingold <[email-masked]>
Date: Fri, 26 Aug 2016 12:01:07 -0400

Hi Michael,

> * Michael Albinus <[email-masked]> [2016-08-26 16:10:53 +0200]:
>
> Sam Steingold <[email-masked]> writes:
>
>> 09:50:21.251771 tramp-set-file-property (8) # /home/sds/.newsrc
>> file-attributes-integer (nil 1 503 503 (0 0) (0 0) (0 0) 7139
>> -rw------- nil (622 . 4) (-1 . 1))
>> 09:50:21.252386 tramp-sh-handle-file-newer-than-file-p (1) # File
>> error: Files /scp:podval:/home/sds/.newsrc and /Users/sds/.newsrc must
>> have same method, user, host
>
> This is a special case in tramp-sh-handle-file-newer-than-file-p, which
> happened because file-atributes for your remote /home/sds/.newsrc has
> returned a "don't know" timestamp, seen as (0 0). The traces don't tell
> why this happened, they are too short.
>
> Maybe you start again with a fresh Emacs session, recompiled from a
> recent checkout, and w/o the patch I gave you yesterday. Full traces
> (sent to me off-list, if you want), shall tell us more.

The server I use (podval) has just been fixed, so I am a happy camper
for now.

I think you should be able to reproduce the problem yourself by breaking
perl on a server you control. This way you will be able to debug the
problem without waiting for my logs.

Thanks again for your generous help!

-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1404
http://www.childpsy.net/ http://camera.org http://jihadwatch.org
http://truepeace.org http://mideasttruth.com http://dhimmi.org
main(a){printf(a,34,a="main(a){printf(a,34,a=%c%s%c,34);}",34);}